/[suikacvs]/test/suikawebwww/style/def/uri.css
Suika

Contents of /test/suikawebwww/style/def/uri.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download) (as text)
Fri Jun 3 10:34:08 2005 UTC (21 years, 3 months ago) by wakaba
Branch: MAIN
Changes since 1.1: +42 -2 lines
File MIME type: text/css
Use sans-serif font-family for bolder texts

1 wakaba 1.1 @charset 'iso-2022-jp';
2    
3     dl.uri-equiv,
4     dl.urn-suika-sub-nid-def {
5     display: block;
6     margin-left: auto;
7     margin-right: auto;
8     width: 70%;
9     border: 4px orange solid;
10     -moz-border-radius: 20px;
11     padding: 0.4em 0.8em;
12     }
13    
14 wakaba 1.2 dl.uri-equiv.deprecated {
15     border-color: gray;
16     }
17    
18 wakaba 1.1 dl.uri-equiv:before,
19     dl.urn-suika-sub-nid-def:before {
20     content: "$BDj5A(B";
21     display: block;
22     border-bottom: 4px orange solid;
23     margin-bottom: 0.3em;
24     font-weight: bolder;
25 wakaba 1.2 font-family: sans-serif;
26 wakaba 1.1 }
27    
28     dl.uri-equiv > dt,
29     dl.urn-suika-sub-nid-def > dt {
30     display: block;
31     float: left;
32     clear: left;
33     width: 4em;
34     margin: 0 0.2em 0.5em 0;
35     border-style: none;
36     padding: 0.2em 0.2em 0.2em 0.5em;
37     list-style: none;
38     text-indent: 0;
39     font-weight: normal;
40     }
41    
42     dl.uri-equiv > dt:after,
43     dl.urn-suika-sub-nid-def > dt:after {
44     content: " :";
45     display: inline;
46     }
47    
48     dl.uri-equiv > dd,
49     dl.urn-suika-sub-nid-def > dd {
50     display: block;
51     margin: 0 0 0.5em 0;
52     border-style: none;
53     padding: 0.2em 0.5em;
54     text-indent: 0;
55     }
56    
57     /* URI Equivalence Property Definitions
58     <http://suika.fam.cx/admin/assign/urn#EQUIV> */
59    
60     dl.uri-equiv {
61     min-width: 11em;
62     }
63    
64     dl.uri-equiv:before {
65 wakaba 1.2 display: none;
66     }
67    
68     dl.uri-equiv > dt.uri-equiv-name {
69     display: none;
70     }
71    
72     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) {
73     margin-left: 0;
74     margin-bottom: 0;
75     border-bottom: #C0C0C0 2px solid;
76     padding-left: 0;
77     padding-bottom: 0.1em;
78     font-weight: bolder;
79     font-family: sans-serif;
80     }
81    
82     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja):before {
83     content: "URI $BEy2A@-(B: ";
84     display: inline;
85     }
86    
87     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) + dd:lang(en) {
88     margin-left: 0;
89     margin-top: 0;
90     border-top: none 0 white;
91     padding-left: 0;
92     padding-top: 0.1em;
93     font-weight: bolder;
94     font-family: sans-serif;
95     font-size: 80%;
96     }
97    
98     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) + dd:lang(en):before {
99     content: "URI Equivalence: ";
100     display: inline;
101 wakaba 1.1 }
102    
103     /* Suika URN sub-nid Templates
104     <http://suika.fam.cx/admin/assign/urn#TEMPLATE> */
105    
106     dl.urn-suika-sub-nid-def {
107     min-width: 21em;
108     }
109    
110     dl.urn-suika-sub-nid-def:before {
111     content: "$B@>1;(B URI $BItJ,L>A06u4VDj5A(B";
112     }
113    
114     dl.urn-suika-sub-nid-def > dt {
115     width: 10em;
116     }
117    
118     /* IETF Template-like Style */
119    
120     dl.urn-nid-def {
121     display: block;
122     margin-left: auto;
123     margin-right: auto;
124     border-style: none;
125     padding: 0;
126     width: 33em;
127     }
128    
129     dl.urn-nid-def > dt {
130     display: block;
131     float: none;
132     width: auto;
133     margin: 1em 0 0 0;
134     border-style: none;
135     padding: 0;
136     list-style: none;
137     text-indent: 0;
138     }
139    
140     dl.urn-nid-def > dt:after {
141     content: ":";
142     display: inline;
143     }
144    
145     dl.urn-nid-def > dd {
146     display: block;
147     float: none;
148     width: auto;
149     margin: 1em 0 0 1.5em;
150     border-style: none;
151     padding: 0;
152     text-indent: 0;
153     }
154    
155     /* URN NID Templates */
156    
157     dl.urn-nid-def > dd.registration-date {
158     margin-top: 0;
159     }
160    
161     dl.urn-nid-def > dd > dl {
162     display: block;
163     margin: 0;
164     border-style: none;
165     padding: 0;
166     }
167    
168     dl.urn-nid-def > dd > dl > dt {
169     display: block;
170     float: none;
171     margin: 0;
172     border-style: none;
173     padding: 0;
174     list-style: none;
175     text-indent: 0;
176     }
177    
178     dl.urn-nid-def > dd > dl > dd {
179     display: block;
180     float: none;
181     margin: 0 0 0 1.5em;
182     border-style: none;
183     padding: 0;
184     list-style: none;
185     text-indent: 0;
186     }
187    
188     /* License
189    
190     Copyright 2005 Wakaba <[email protected]>.
191    
192     This program is free software; you can redistribute it and/or modify
193     it under the terms of the GNU General Public License as published by
194     the Free Software Foundation; either version 2 of the License, or
195     (at your option) any later version.
196    
197     This program is distributed in the hope that it will be useful,
198     but WITHOUT ANY WARRANTY; without even the implied warranty of
199     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
200     GNU General Public License for more details.
201    
202     You should have received a copy of the GNU General Public License
203     along with this program; see the file COPYING. If not, write to
204     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
205     Boston, MA 02111-1307, USA.
206    
207     */
208    
209 wakaba 1.2 /* $Date: 2005/05/31 10:04:41 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24